# Cancelling a Task

You can cancel any ongoing task. To do so, call the [`cancelTask()` method](/dt-ignite/ignite-services/sdk-reference/cancel-a-task.md) and provide the `taskId`. When you call `cancelTask`, all work stops on the indicated task, and Ignite does *not* provide task cancellation confirmation.

The following sequence diagram outlines the flow for a Host App to cancel an active task using the DTIS SDK.

{% @mermaid/diagram content="sequenceDiagram
participant Host as Host App
participant SDK as Ignite
autonumber

```
Host ->> SDK: Initialize and Authenticate
Host ->> SDK: DTIS SDK Method
opt callback and/or broadcast
    SDK -->> Host: notifications that include taskId
end

Host ->> SDK: cancelTask(taskId)
SDK ->> SDK: Cancel task" %}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalturbine.com/dt-ignite/ignite-services/use-cases/cancelling-a-task.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
